pfSenseをアップデート 2.4.3→2.4.3_1

pfSenseをアップデートした記録 2.4.3→2.4.3_1

アップデート内容確認

2.4.3から2.4.3_1(2.4.3-p1)にアップデートします

変更点を確認
2.4.3-p1 New Features and Changes – pfSense Documentation
https://doc.pfsense.org/index.php/2.4.3-p1_New_Features_and_Changes

今回の脆弱性対応はCVE-2018-8897・CVE-2018-6920・CVE-2018-6921です
また管理画面内のXSSなどへの修正も入ってます

pfSenseの用途としては比較的影響は受けにくいタイプの脆弱性ではありますが
念のため早めに適用しましょう

アップデートの手順

事前に設定のバックアップをした上で以下の操作でアップデートを実行
手順はいつもと同じです

まずダッシュボードのVersionのところにある雲マークか
System→Updateを選択

2.4.3から2.4.3_1へアップデートと表示出てるのを確認して「Confirm」を押す

無事に完了すると自動で再起動開始されます

最後に2.4.3_1の状態で設定をバックアップして完了

Update時の処理ログ

>>> Updating repositories metadata... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
>>> Downloading upgrade packages... 
Updating pfSense-core repository catalogue...
pfSense-core repository is up to date.
Updating pfSense repository catalogue...
pfSense repository is up to date.
All repositories are up to date.
Checking for upgrades (8 candidates): ........ done
Processing candidates (8 candidates): ........ done
The following 8 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
  sqlite3: 3.21.0_1 -> 3.22.0_1 [pfSense]
  pfSense-rc: 2.4.3 -> 2.4.3_1 [pfSense-core]
  pfSense-kernel-pfSense: 2.4.3 -> 2.4.3_1 [pfSense-core]
  pfSense-default-config: 2.4.3 -> 2.4.3_1 [pfSense-core]
  pfSense-base: 2.4.3 -> 2.4.3_1 [pfSense-core]
  pfSense: 2.4.3 -> 2.4.3_1 [pfSense]
  perl5: 5.24.3 -> 5.24.4 [pfSense]
  libnghttp2: 1.29.0 -> 1.31.1 [pfSense]

Number of packages to be upgraded: 8

67 MiB to be downloaded.
[1/8] Fetching sqlite3-3.22.0_1.txz: .......... done
[2/8] Fetching pfSense-rc-2.4.3_1.txz: .. done
[3/8] Fetching pfSense-kernel-pfSense-2.4.3_1.txz: .......... done
[4/8] Fetching pfSense-default-config-2.4.3_1.txz: . done
[5/8] Fetching pfSense-base-2.4.3_1.txz: .......... done
[6/8] Fetching pfSense-2.4.3_1.txz: . done
[7/8] Fetching perl5-5.24.4.txz: .......... done
[8/8] Fetching libnghttp2-1.31.1.txz: .......... done
Checking integrity... done (0 conflicting)
>>> Upgrading pfSense kernel... 
Checking integrity... done (0 conflicting)
The following 2 package(s) will be affected (of 0 checked):

Installed packages to be UPGRADED:
  pfSense-kernel-pfSense: 2.4.3 -> 2.4.3_1 [pfSense-core]
  pfSense-rc: 2.4.3 -> 2.4.3_1 [pfSense-core]

Number of packages to be upgraded: 2
[1/2] Upgrading pfSense-rc from 2.4.3 to 2.4.3_1...
[1/2] Extracting pfSense-rc-2.4.3_1: .... done
[2/2] Upgrading pfSense-kernel-pfSense from 2.4.3 to 2.4.3_1...
[2/2] Extracting pfSense-kernel-pfSense-2.4.3_1: .......... done
===> Keeping a copy of current kernel in /boot/kernel.old
Upgrade is complete.  Rebooting in 10 seconds.
Success